#!/usr/bin/perl
use strict;
my $base_rev = "1000";
my $trunk = 'svn/path/to/trunk';
my $build = 'svn/path/to/stableBranch';

my(@patches);
my(%patches);
open(IN,"svn log -r $base_rev:HEAD $trunk |");
while(<IN>){
    if(/^r(\d+) \|/){
	push(@patches, $1);
	$patches{$1} = 1;
    }
}

my(%commited);
open(IN,"svn log -r $base_rev:HEAD $build |");
while(<IN>){
    while(/\d{4,}:(\d{4,})/g){
	$commited{$1} = 1;
	delete $patches{$1};
    }
}

my(@uncommited) = sort {$a <=> $b} keys %patches;
print join("\n",@uncommited),"\n";
